/* Written by Stone Horse. Public domain */
#ifndef TIME_H
#define TIME_H 1

#include <ansi.h>

struct timespec {
	unsigned int tv_sec;
	unsigned int tv_nsec;
};

#define CLOCK_REALTIME 0
#define CLOCK_MONOTONIC 1
#define CLOCK_TAI 11

_PROTOTYPE(extern int nanosleep(struct timespec *duration, struct timespec *rem));
_PROTOTYPE(extern int clock_gettime, (unsigned int clockid, struct timespec *tp));
_PROTOTYPE(extern int clock_settime, (unsigned int clockid, _CONST struct timespec *tp));

#endif
